Package Details: opensmtpd-snapshot 201602131907p1-2

Git Clone URL: https://aur.archlinux.org/opensmtpd-snapshot.git (read-only)
Package Base: opensmtpd-snapshot
Description: A FREE implementation of the server-side SMTP protocol. Latest snapshot.
Upstream URL: http://www.opensmtpd.org/portable.html
Keywords: daemon email mta smtp
Licenses: BSD
Conflicts: opensmtpd, postfix, sendmail
Provides: opensmtpd
Replaces: opensmtpd-portable
Submitter: hobarrera
Maintainer: hobarrera
Last Packager: hobarrera
Votes: 7
Popularity: 0.000000
First Submitted: 2013-04-04 18:32
Last Updated: 2016-04-16 18:03

Required by (2)

Sources (4)

Latest Comments

hobarrera commented on 2016-04-16 18:04

@nougad: You're entirely right. I've no idea how this has worked for me so far!

AUR screwed up the whitespace, but I've applied the patch manually. Thanks!

nougad commented on 2016-04-16 14:15

The opensmtpd-snapshot.install file looks kind of wrong.

1) It should only create new users if they not exist (not the other way round)
2) It tries to create _smtpq twice

I think this should fix it:

--- opensmtpd-snapshot.install?h=opensmtpd-snapshot 2016-04-16 16:15:06.000000000 +0200
+++ opensmtpd-snapshot.install.new 2016-04-16 16:15:22.918390352 +0200
@@ -1,18 +1,18 @@
post_install() {
- if [ $(getent group _smtpd > /dev/null) ]; then
+ if ! getent group _smtpd > /dev/null; then
groupadd -r _smtpd
fi;
- if [ $(getent group _smtpq > /dev/null) ]; then
+ if ! getent group _smtpq > /dev/null; then
groupadd -r _smtpq
fi;
- if [ $(getent passwd _smtpd > /dev/null) ]; then
+ if ! getent passwd _smtpd > /dev/null; then
useradd -c "SMTPD Daemon" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpd
fi;
- if [ $(getent passwd _smtpq > /dev/null) ]; then
- useradd "SMTPD queue user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpq
+ if ! getent passwd _smtpq > /dev/null; then
+ useradd -c "SMTPD queue user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpq
fi;
- if [ $(getent passwd _smtpf > /dev/null) ]; then
- useradd "SMTPD filter user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpq
+ if ! getent passwd _smtpf > /dev/null; then
+ useradd -c "SMTPD filter user" -r -g _smtpd -d /var/empty -s /sbin/nologin _smtpf
fi;

chown -R _smtpd:_smtpd /etc/mail

neko commented on 2014-02-10 17:48

please add "--with-ca-file=/etc/ssl/certs/ca-certificates.crt" configure flag.
cf. https://github.com/poolpOrg/OpenSMTPD/issues/413

hobarrera commented on 2013-12-20 22:31

@srf21c: That makes sense; I've updated the script accordingly.

sysfu commented on 2013-10-22 17:01

Was having an issue where the smtpd.service was failing to start at boot because the network interface had not yet been enumerated. I was able to resolve the problem by changing the [Unit] as follows:

[Unit]
Description=A FREE implementation of the server-side SMTP protocol
After=network.target

Spider.007 commented on 2013-10-18 08:49

Could you alter this package so it provides smtp-forwarder (and possibly conflicts with that too)?

hobarrera commented on 2013-10-10 05:57

srf21c: No problem. :)
Don't hesitate to let me know of any other issues or doubts. :)

sysfu commented on 2013-10-09 23:29

Thanks for getting back re: latest.tar.gz as well as the update for the two separate users.

hobarrera commented on 2013-10-04 21:35

Now using two users, as expected. :)

hobarrera commented on 2013-10-04 21:07

I don't use -latest.tar.gz, because I prefer to make sure the PKGBUILD works with the latest build before uploading it - instead of someone possibly getting a broken package.

Build parameters might change, or something might need an updated - aside from the checksum.

There's only one user because it slipped past when this was added. I'll update the PKGBUILD to create both users as it should be ASAP.

All comments